## wxDisplay

Determines the sizes and locations of displays connected to the system.

Derived from

None

Include files

<wx/display.h>

See also

wxClientDisplayRect, wxDisplaySize, wxDisplaySizeMM

Members

wxDisplay::wxDisplay
wxDisplay::~wxDisplay
wxDisplay::ChangeMode
wxDisplay::GetClientArea
wxDisplay::GetCount
wxDisplay::GetCurrentMode
wxDisplay::GetDepth
wxDisplay::GetFromPoint
wxDisplay::GetFromWindow
wxDisplay::GetGeometry
wxDisplay::GetModes
wxDisplay::GetName
wxDisplay::IsPrimary

### wxDisplay::wxDisplay

wxDisplay(unsigned index = 0)

Constructor, setting up a wxDisplay instance with the specified display.

Parameters

index

The index of the display to use. This must be non-negative and lower than the value returned by GetCount().

### wxDisplay::~wxDisplay

void ~wxDisplay()

Destructor.

### wxDisplay::ChangeMode

bool ChangeMode(const wxVideoMode& mode = wxDefaultVideoMode)

Changes the video mode of this display to the mode specified in the mode parameter.

If wxDefaultVideoMode is passed in as the mode parameter, the defined behaviour is that wxDisplay will reset the video mode to the default mode used by the display. On Windows, the behavior is normal. However, there are differences on other platforms. On Unix variations using X11 extensions it should behave as defined, but some irregularities may occur.

On wxMac passing in wxDefaultVideoMode as the mode parameter does nothing. This happens because carbon no longer has access to DMUseScreenPrefs, an undocumented function that changed the video mode to the system default by using the system's 'scrn' resource.

### wxDisplay::GetClientArea

wxRect GetClientArea() const

Returns the client area of the display. The client area is the part of the display available for the normal (non full screen) windows, usually it is the same as GetGeometry but it could be less if there is a taskbar (or equivalent) on this display.

See also:

wxClientDisplayRect

### wxDisplay::GetCount

static unsigned GetCount()

Returns the number of connected displays.

### wxDisplay::GetCurrentMode

wxVideoMode GetCurrentMode() const

Returns the current video mode that this display is in.

### wxDisplay::GetDepth

int GetDepth() const

Returns the bit depth of the display whose index was passed to the constructor.

### wxDisplay::GetFromPoint

static int GetFromPoint(const wxPoint& pt)

Returns the index of the display on which the given point lies. Returns `wxNOT_FOUND` if the point is not on any connected display.

Parameters

pt

The point to locate.

### wxDisplay::GetFromWindow

static int GetFromWindow(wxWindow* win)

Returns the index of the display on which the given window lies.

If the window is on more than one display it gets the display that overlaps the window the most.

Returns `wxNOT_FOUND` if the window is not on any connected display.

Parameters

win

The window to locate.

### wxDisplay::GetGeometry

wxRect GetGeometry() const

Returns the bounding rectangle of the display whose index was passed to the constructor.

See also:

GetClientArea, wxDisplaySize

### wxDisplay::GetModes

wxArrayVideoModes GetModes(const wxVideoMode& mode = wxDefaultVideoMode) const

Fills and returns an array with all the video modes that are supported by this display, or video modes that are supported by this display and match the mode parameter (if mode is not wxDefaultVideoMode).

### wxDisplay::GetName

wxString GetName() const

Returns the display's name. A name is not available on all platforms.

### wxDisplay::IsPrimary

bool IsPrimary()

Returns true if the display is the primary display. The primary display is the one whose index is 0.